Last Comment Bug 787475 - Prevent threadpane selection/messagepane content mismatches on folder/tab switches
: Prevent threadpane selection/messagepane content mismatches on folder/tab swi...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Thunderbird 18.0
Assigned To: alta88
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 10:15 PDT by alta88
Modified: 2012-09-27 02:27 PDT (History)
2 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch (1.13 KB, patch)
2012-08-31 10:21 PDT, alta88
no flags Details | Diff | Splinter Review
patch (1.56 KB, patch)
2012-09-02 11:03 PDT, alta88
mconley: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description alta88 2012-08-31 10:15:53 PDT

    
Comment 1 alta88 2012-08-31 10:21:10 PDT
Created attachment 657342 [details] [diff] [review]
patch


the 'hide' is earlier in the flow here, perhaps that will make the tests pass..
Comment 2 Mike Conley (:mconley) 2012-08-31 10:31:34 PDT
Hrm, nope, still hitting failures:

SUMMARY-UNEXPECTED-FAIL | test-tabs-simple.js | test-tabs-simple.js::test_open_message_b_in_tab
  EXCEPTION: Desired selection is: [undefined undefined] but actual selection is:  [undefined undefined]
    at: test-folder-display-helpers.js line 113
       testHelperModule.do_throw test-folder-display-helpers.js 113
       mark_failure logHelper.js 620
       assert_selected test-folder-display-helpers.js 1912
       assert_selected_and_displayed test-folder-display-helpers.js 2045
       test_open_message_b_in_tab test-tabs-simple.js 105
       Runner.wrapper frame.js 582
       Runner._runTestModule frame.js 652
       Runner.runTestModule frame.js 698
       Runner.runTestFile frame.js 531
       runTestFile frame.js 710
       Bridge._execFunction server.js 179
       Bridge.execFunction server.js 183

For future reference, you can test this locally by executing the following in your objdir:

make SOLO_TEST=folder-display/test-tabs-simple.js mozmill-one

and you can run the entire folder-display folder with:

make SOLO_TEST=folder-display mozmill-one
Comment 3 alta88 2012-08-31 10:52:08 PDT
Comment on attachment 657342 [details] [diff] [review]
patch


rats.  lousy tests.
Comment 4 alta88 2012-09-02 11:03:16 PDT
Created attachment 657696 [details] [diff] [review]
patch


this passes tests.  lot of spent time (us both) due to simple undefined throws being caught/masked/not displayed, in tests and console.
Comment 5 alta88 2012-09-07 06:50:36 PDT
ping...
Comment 6 Mike Conley (:mconley) 2012-09-07 07:08:42 PDT
Pong - I'm here. Review queue is a bit long - I'll get to this soon!
Comment 7 Mike Conley (:mconley) 2012-09-07 07:09:54 PDT
Comment on attachment 657696 [details] [diff] [review]
patch

This looks right via inspection.

Thanks alta88!
Comment 8 alta88 2012-09-07 07:40:39 PDT
(In reply to Mike Conley (:mconley) from comment #6)
> Pong - I'm here. Review queue is a bit long - I'll get to this soon!

ah ok, don't mean to nag.  just hoping to close out my current bugs and get them into 17 before the (likely) ice age arrives.
Comment 9 Ryan VanderMeulen [:RyanVM] 2012-09-07 13:03:15 PDT
https://hg.mozilla.org/comm-central/rev/29d6d9143fad
Comment 10 alta88 2012-09-22 08:40:08 PDT
Comment on attachment 657696 [details] [diff] [review]
patch

[Approval Request Comment]
see bug 596234, comment 79.
Comment 11 Mark Banner (:standard8, afk until Dec) 2012-09-27 02:27:05 PDT
Checked in: https://hg.mozilla.org/releases/comm-aurora/rev/e6dbf65e63b8

Note You need to log in before you can comment on or make changes to this bug.